# BioSpeckle Laser - Tool Library (BSLTL)


## Introduction

This package is a free collection of OCTAVE/MATLAB routines for working with the
biospeckle laser technique.

## Citations
To cite BSLTL in publications use:

	Roberto Alves Braga Júnior and Fernando Pujaico Rivera and Junio Moreira (2015).
	Practical guide for biospeckle laser in biosystems.
	URL http://

A BibTeX entry for LaTeX users is:

	@book{,
		author    = {Roberto Alves Braga Júnior and Fernando Pujaico Rivera and Junio Moreira},
		title     = {Practical guide for biospeckle laser in biosystems},
		year      = {2015},
		url       = {http://}
	}

We have invested a lot of time and effort in creating BSLTL, please cite it
when using it.  See also `citation pkgname' for citing others Octave packages.

## Install

### Method 1: Only in OCTAVE
The next OCTAVE code install the BSLTL package [bsltl.tar.gz](https://) 
in the directory ~/lib/octmat

	pkg prefix ~/lib/octmat
	pkg install bsltl.tar.gz

The package is configured for be loaded by default.


#### Using the library - Example code - Getting the AVD value
	IMAGESDIR = '/home/user/data/speckle/test1';

	DATA = datapack(IMAGESDIR,'',1,129,'bmp');

	THSP = thsp(DATA,1,240);
	COM  = coom(THSP);
	AVD  = avd(COM);

### Method 2: In MATLAB or OCTAVE

If the package BSLTL is uncompressed in the directory '/home/user/lib/octmat/bsltl', 
so for that  it can be used by a source file is need add the next code 
in the top of file.

	BSLTL_DIR='/home/user/lib/octmat/bsltl';
	addpath(genpath(BSLTL_DIR));

The function genpath generates a list with the directories and sub directories.
The function addpath add directories to system path.

#### Using the library - Example code - Getting the AVD value

	BSLTL_DIR = '/home/user/lib/octmat/bsltl';
	addpath(genpath(BSLTL_DIR));

	IMAGESDIR = '/home/user/data/speckle/test1';

	DATA = datapack(IMAGESDIR,'',1,129,'bmp');

	THSP = thsp(DATA,1,240);
	COM  = coom(THSP);
	AVD  = avd(COM);


## Copyright

Copyright (c) 2015

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
USA.


## Authors

Roberto Alves Braga Júnior <robertobraga@deg.ufla.br>
Fernando Pujaico Rivera    <fernando.pujaico.rivera@gmail.com> 
Junio Moreira	           <juniomoreira@iftm.edu.br>

## Support or Contact
Having trouble with package? Check out our 
[documentation](http://) or 
[contact support](http://).

## Home Page
[HOME PAGE](http://).



